Subject: paul stamets & FUNGI PERFECTI is on-line

From: [email-masked] (Stamets 1)
Date: 24 Aug 1994 13:31:03 -0400

I am finally onto Internet. My address is "stamets1aol.com." For those of
who
are interested in cultivating gourmet and medicinal mushrooms, we have
good
expertise and an extensive culture library as well as many other items of
interest.
For a free color brochure, (not able to download), provide us with a
mailing address. For our 80 page catalogue, more geared to mycological
laboratories and
the commercial cultivation of mushrooms, which sells for $ 3.00 (US) plus
$ 1.44
for shipping, we can bill you. 

Thanks to all of you who encouraged me to join!    Keep the mycelium
spreading!

paul stamets 

ps: Our fax number is 206-426-9377.